@echo off
if exist cfg\snowbros.cfg move cfg\snowbros.cfg cfg\snowbros.bak
if exist hi\snowbros.hi move hi\snowbros.hi hi\snowbros.bak
if exist nvram\snowbros.nv move nvram\snowbros.nv nvram\snowbros.bak
if exist diff\snowbros.dif move diff\snowbros.dif diff\snowbros.bak

mame snowbros -record snowbros.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\snowbros.bak move cfg\snowbros.bak cfg\snowbros.cfg
if exist hi\snowbros.bak move hi\snowbros.bak hi\snowbros.hi
if exist nvram\snowbros.bak move nvram\snowbros.bak nvram\snowbros.nv
if exist diff\snowbros.bak move diff\snowbros.bak diff\snowbros.dif
